Subject: bug#38807: [Feature request]: Support lisp workers like web workers.

From: Dmitry Gutov <[email-masked]>
Date: Mon, 30 Dec 2019 18:40:49 +0300

On 30.12.2019 17:23, Eli Zaretskii wrote:
> We have threads in Emacs, so you could start by using them, no?

The main point of Web Workers is that they run in parallel to the main 
thread.

So the bit about not being able to access "data in the UI thread" is 
about no need for synchronization, I suppose.